pine 越界访问代码执行漏洞

CVE编号

CVE-2003-0721

利用情况

暂无

补丁情况

N/A

披露时间

2003-09-17
漏洞描述
4.58之前的PINE中string.c中的rfc2231_get_param中的整数签名错误允许远程攻击者通过电子邮件执行任意代码,从而导致使用负数进行越界数组访问。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 university_of_washington pine 3.98 -
运行在以下环境
应用 university_of_washington pine 4.0.2 -
运行在以下环境
应用 university_of_washington pine 4.0.4 -
运行在以下环境
应用 university_of_washington pine 4.10 -
运行在以下环境
应用 university_of_washington pine 4.20 -
运行在以下环境
应用 university_of_washington pine 4.21 -
运行在以下环境
应用 university_of_washington pine 4.30 -
运行在以下环境
应用 university_of_washington pine 4.33 -
运行在以下环境
应用 university_of_washington pine 4.44 -
运行在以下环境
应用 university_of_washington pine 4.50 -
运行在以下环境
应用 university_of_washington pine 4.52 -
运行在以下环境
应用 university_of_washington pine 4.53 -
运行在以下环境
应用 university_of_washington pine 4.56 -
CVSS3评分
7.5
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    N/A
  • 用户交互
  • 可用性
    部分地
  • 保密性
    部分地
  • 完整性
    部分地
CWE-ID 漏洞类型
NVD-CWE-Other
阿里云安全产品覆盖情况